#*****************************************************-*- Mode: Makefile -*- **#
#*  Model-specific Makefile                                                   *#
#*  ------------------------------------------------------------------------  *#
#*  (c) IPG Automotive GmbH    www.ipg-automotive.com   Fon: +49.721.98520-0  *#
#*  Bannwaldallee 60      D-76185 Karlsruhe   Germany   Fax: +49.721.98520-99 *#
#******************************************************************************#


# ------------------------------------------------------------------------------
# User defined settings:
# ------------------------------------------------------------------------------

include /opt/ipg/carmaker/linux64-10.2.2/include/MakeDefs.linux64

# Matlab version in use.
MATSUPP_MATVER  = R2018a
MATSUPP_NUMVER  = 90400


# ------------------------------------------------------------------------------
# No user defined settings below this line!
# ------------------------------------------------------------------------------

# The following macros are read by the Real-Time Workshop build procedure:
MATLAB_ROOT	= $(subst \,/,C:\Program Files\MATLAB\R2018a)

MODEL		= BodyCtrl_RTW
WRAPPER		= BodyCtrl_RTW_wrap
CLASS		= SuspExtFrcs
DESCRIPTION	= "BodyCtrl_RTW"
MAINMODEL	= ""
PARAMID		= 1
SYMBOLS		= ""

# Directory where the CarMaker executable is compiled.
CM_SRCDIR	= "$(subst \,/,..)"
CM_PROJHOOKUP	= 1
CM_PROJMAKE	= 1


ModelMainLib:	../lib$(MODEL)_$(ARCH).a
	$(QECHO) " MKENTRY  $(CLASS) $(MODEL) $(PARAMID)"
	$Q $(CMPU) mkentry -s $(CM_SRCDIR) -c $(CLASS) -m $(MODEL) -d $(DESCRIPTION) -i $(PARAMID)
ifeq ($(CM_PROJHOOKUP), 1)
	$(QECHO) " HOOKUP   $(MODEL)"
	$Q $(CMPU) hookup  -s $(CM_SRCDIR) -c $(CLASS) -m $(MODEL) -a $(ARCH) -mm $(MAINMODEL) -mv $(MATSUPP_MATVER) -mr $(MATLAB_ROOT)
endif
